Bug 173073 - WPA with ipw2100 fails after upgrade to 2.6.14-1.1637_FC4
Summary: WPA with ipw2100 fails after upgrade to 2.6.14-1.1637_FC4
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-13 17:38 UTC by Bertho
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 15:59:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bertho 2005-11-13 17:38:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
Using wpa_supplicant (versions 0.3.8, 0.3.9 and 0.4.6) do not funtion with the message "Failed to enable WPA in the driver.".

At boot time, following messages are seen from the kernel (using dmesg):
ieee80211_crypt: registered algorithm 'NULL'
...
eth1 (WE) : Driver using old /proc/net/wireless support, please fix driver !

The previous kernel (2.6.13-1.1532_FC4) had a functioning stock ipw2100 driver installed. The module in the new kernel, 2.6.14-1.1637_FC4, has obviously not survived the changes.


Version-Release number of selected component (if applicable):
kerne-2.6.14-1.1637_FC4

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to kernel 2.6.14-1.1637_FC4
2. See "dmesg" output
3. Try run wpa_supplicant
  

Actual Results:  No wireless communication

Expected Results:  Completed WPA handshake.

Additional info:

Hardware: IBM Thinkpad T42p with ipw2100 wireless card.

Comment 1 John W. Linville 2005-11-30 15:38:47 UTC
The fedora-netdev kernels are available here:  
  
   http://people.redhat.com/linville/kernels/fedora-netdev/  
  
Please give those a try and post the results here...thanks! 

Comment 2 Bertho 2005-11-30 22:22:16 UTC
Ok, just tried:
[root@ford ~]# uname -a
Linux ford.gud.mjna.net 2.6.14-1.1644_FC4.netdev.3 #1 Tue Nov 29 21:02:32 EST
2005 i686 i686 i386 GNU/Linux

It is successfull with wpa_supplicant 0.4.6 and driver wext. Older 0.3.x do not
function, but that is no problem.

This solves the problem for me. Thanks very much.

--
Greetings Bertho

Comment 3 John W. Linville 2005-12-01 15:59:41 UTC
I'm going to close this as fixed upstream.  I can't be sure when it will be in 
the official Fedora kernels, but it should remain in Fedora-netdev until then. 


Note You need to log in before you can comment on or make changes to this bug.